### Home Classes Methods

### In Files

- lib/dbi/binary.rb

### Parent

Object

### Methods

- ::new
- #to_s

### Files

- README

### Class/Module Index

Quicksearch

- DBI
- DBI::BaseDatabase
- DBI::BaseDriver
- DBI::BaseStatement
- DBI::Binary
- DBI::ColumnInfo
- DBI::DataError
- DBI::DatabaseError
- DBI::DatabaseHandle
- DBI::Date
- DBI::DriverHandle
- DBI::Error
- DBI::Handle
- DBI::HandleTracer
- DBI::IntegrityError
- DBI::InterfaceError
- DBI::InternalError
- DBI::NotImplementedError
- DBI::NotSupportedError
- DBI::OperationalError
- DBI::ProgrammingError
- DBI::Row
- DBI::SQL
- DBI::SQL::PreparedStatement
- DBI::StatementHandle
- DBI::Time
- DBI::Timestamp
- DBI::Type
- DBI::Type::Boolean
- DBI::Type::Decimal
- DBI::Type::Float
- DBI::Type::Integer
- DBI::Type::Null
- DBI::Type::Timestamp
- DBI::Type::Varchar
- DBI::TypeUtil
- DBI::Utils
- DBI::Utils::ConvParam
- DBI::Utils::TableFormatter
- DBI::Utils::XMLFormatter
- DBI::Warning
- Class

No matching classes.

# DBI::Binary

Encapsulates the concept of a CLOB/BLOB, which can then be passed as a bind via BaseStatement#bind_param.

This is similar to a DBI::Type class and will eventually find its way there.

See new for usage.

### Attributes

data[RW]

### Public Class Methods

new(data) click to toggle source

Construct a new DBI::Binary object with the data supplied as string. This object can then be used in bound variables to represent a CLOB or BLOB type.

    # File lib/dbi/binary.rb, line 16
    def initialize(data)
        @data = data
    end

### Public Instance Methods

to_s() click to toggle source

Return the string representation of the DBI::Binary object.

    # File lib/dbi/binary.rb, line 21
    def to_s
        @data
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.